Skip to content
Docs

Run one now

POST
/api/workspaces/{ws}/hires/{id}/responsibilities/{rid}/run

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

id*string

The id of what the path names: a hire, a connection, a skill, a shared file, a department, a position, a goal or an approval.

rid*string

The responsibility's id.

Response Body

{ queued, taskId }. 200 with queued: false when it's already waiting to run.

Example Request
curl -X POST 'https://app.useroster.work/api/workspaces/string/hires/string/responsibilities/string/run'
Example Response
Empty